QGIS Application - Bug report #14207
Cannot save Geopackage file with "-" in its name
2016-02-01 03:37 AM - Julien K

Status: Closed
Priority: Normal
Assignee:

Category: Vectors

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: duplicate

Copied to github as #: 22209

Description

Dear QGis maintainers,

the "save as" command throws an error while trying to save a geopackage file with an hyphen in its name (please see the screenshot

attached).

Dis I miss something? Is there a rule for omitting some characters from SQLite filenames?

Kind regards,
Julien

History

#1 - 2016-02-02 04:11 AM - Giovanni Manghi
- Affected QGIS version changed from 2.12.2 to master

- Category set to Vectors

weird, no issues doing the conversion from the command line with ogr2ogr, | would have expected the same error.

#2 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#3 - 2018-06-18 01:08 PM - Johannes Kroeger
Dupe of #13140

#4 - 2018-06-18 01:21 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

- Description updated
